
Figure - Bug #118069
【IOVDEV-28675】【内部】【实车】【EE环境】【副屏】王者荣耀点击“赛事”无法打开
2023-05-18 19:38 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-18

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 无

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【台架号】：HRYTTESTVINMGM441

【环境信息】：apk版本 8.3.1.9

【测试时间】：2023.05.17 10：25

【前提条件】：1、网络正常

2、副屏上电

【操作步骤】

1、打开王者荣耀

2、点击”赛事“

【实际结果】

1、其余btn均可点击并打开，”赛事“btn无法点开

【期望结果】

1、”赛事“btn可正常点击

log见：https://ofs.human-horizons.com/#/download/index/D%2FbnUXRyKgs%3D

视频见：https://ofs.human-horizons.com/#/download/index/VOdYU6ChvVo%3D

History

#1 - 2023-05-18 19:39 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118069

#2 - 2023-05-18 21:18 - CDTS_Test 吴诗雨

- Priority changed from Normal to High
- Severity changed from Normal to Major

#3 - 2023-05-19 14:43 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

Hi 诗雨

//进入王者荣耀

000461_manual_00001_230517_102502.log:1199: 05-17 10:25:07.053  1523  5869 I ActivityTaskManager: START u0 {act=android.intent.action.MAIN

cat=[android.intent.category.LAUNCHER] flg=0x10200000 cmp=com.tencent.tmgp.sgame/.SGameActivity bnds=[426,96][726,394]} from uid 10082

//王者荣耀收到触摸事件 (SGameActivity Receive event)

05-17 10:25:08.576 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id[0]=0, x[0]=336.0, y[0]=67.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64094553, downTime=64094553, deviceId=4, source=0x5002, displayId=0, eventId=995226979 }

05-17 10:25:08.735 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=336.0, y[0]=67.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64094712, downTime=64094553, deviceId=4, source=0x5002, displayId=0, eventId=36701011 }

05-17 10:25:10.749 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id[0]=0, x[0]=2267.0, y[0]=986.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64096760, downTime=64096760, deviceId=4, source=0x5002, displayId=0, eventId=110064680 }

05-17 10:25:10.908 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=2267.0, y[0]=986.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64096917, downTime=64096760, deviceId=4, source=0x5002, displayId=0, eventId=194945158 }

05-17 10:25:05.891 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id[0]=0, x[0]=337.0, y[0]=61.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64152178, downTime=64152178, deviceId=4, source=0x5002, displayId=0, eventId=898152016 }

05-17 10:25:05.996 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=337.0, y[0]=61.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64152283, downTime=64152178, deviceId=4, source=0x5002, displayId=0, eventId=783796205 }

05-17 10:25:06.897 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id[0]=0, x[0]=2321.0, y[0]=983.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64153184, downTime=64153184, deviceId=4, source=0x5002, displayId=0, eventId=1048700292 }

05-17 10:25:06.950 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=2321.0, y[0]=983.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64153237, downTime=64153184, deviceId=4, source=0x5002, displayId=0, eventId=57491444 }

05-17 10:25:07.913 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id[0]=0, x[0]=281.0, y[0]=86.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64154199, downTime=64154199, deviceId=4, source=0x5002, displayId=0, eventId=294310472 }

05-17 10:25:08.030 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=281.0, y[0]=86.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64154317, downTime=64154199, deviceId=4, source=0x5002, displayId=0, eventId=310209178 }

05-17 10:25:08.840 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id[0]=0, x[0]=2292.0, y[0]=785.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64155127, downTime=64155127, deviceId=4, source=0x5002, displayId=0, eventId=743306175 }

05-17 10:25:08.958 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=2292.0, y[0]=785.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64155245, downTime=64155127, deviceId=4, source=0x5002, displayId=0, eventId=266000596 }

05-17 10:25:09.381 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id[0]=0, x[0]=2299.0, y[0]=792.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,
edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64155667, downTime=64155667, deviceId=4, source=0x5002, displayId=0, eventId=261873101 }

05-17 10:25:09.498 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=2299.0, y[0]=792.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64155785, downTime=64155667, deviceId=4, source=0x5002, displayId=0, eventId=955088940 }

05-17 10:25:09.814 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id[0]=0, x[0]=2281.0, y[0]=793.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64156101, downTime=64156101, deviceId=4, source=0x5002, displayId=0, eventId=51648596 }

05-17 10:25:09.920 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=2281.0, y[0]=793.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64156207, downTime=64156101, deviceId=4, source=0x5002, displayId=0, eventId=637465560 }

05-17 10:25:10.013 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id[0]=0, x[0]=2272.0, y[0]=786.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64156300, downTime=64156300, deviceId=4, source=0x5002, displayId=0, eventId=910758240 }

05-17 10:25:10.104 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=2272.0, y[0]=786.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64156391, downTime=64156300, deviceId=4, source=0x5002, displayId=0, eventId=494177266 }

05-17 10:25:10.184 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id[0]=0, x[0]=2276.0, y[0]=795.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64156471, downTime=64156471, deviceId=4, source=0x5002, displayId=0, eventId=1001383339 }

05-17 10:25:10.279 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=2276.0, y[0]=795.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64156564, downTime=64156471, deviceId=4, source=0x5002, displayId=0, eventId=159149217 }

05-17 10:25:10.342 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id[0]=0, x[0]=2273.0, y[0]=789.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64156629, downTime=64156629, deviceId=4, source=0x5002, displayId=0, eventId=335008644 }

05-17 10:25:10.527 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=2273.0, y[0]=789.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64156812, downTime=64156629, deviceId=4, source=0x5002, displayId=0, eventId=232016747 }

05-17 10:25:13.242 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id[0]=0, x[0]=1280.0, y[0]=966.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64159578, downTime=64159578, deviceId=4, source=0x5002, displayId=0, eventId=523249350 }

05-17 10:25:13.262 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id[0]=0, x[0]=1317.5, y[0]=840.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=1, eventTime=64159598, downTime=64159578, deviceId=4, source=0x5002, displayId=0, eventId=288997502 }

05-17 10:25:13.277 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id[0]=0, x[0]=1327.4005, y[0]=818.9985, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=1, eventTime=64159609, downTime=64159578, deviceId=4, source=0x5002, displayId=0, eventId=313771866 }

05-17 10:25:13.293 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id[0]=0, x[0]=1349.842, y[0]=757.1582, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=1, eventTime=64159626, downTime=64159578, deviceId=4, source=0x5002, displayId=0, eventId=966881356 }

05-17 10:25:13.310 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id[0]=0, x[0]=1365.0, y[0]=710.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=1, eventTime=64159637, downTime=64159578, deviceId=4, source=0x5002, displayId=0, eventId=498499715 }

05-17 10:25:13.359 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=1356.0, y[0]=738.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64159697, downTime=64159578, deviceId=4, source=0x5002, displayId=0, eventId=70295602 }

05-17 10:25:13.914 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id[0]=0, x[0]=1334.0, y[0]=860.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64160250, downTime=64160250, deviceId=4, source=0x5002, displayId=0, eventId=413927126 }

05-17 10:25:13.928 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,

actionButton=0, id[0]=0, x[0]=1432.2671, y[0]=599.9516, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=1, eventTime=64160266, downTime=64160250, deviceId=4, source=0x5002, displayId=0, eventId=539722285 }

05-17 10:25:13.945 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_MOVE,
actionButton=0, id[0]=0, x[0]=1478.3223, y[0]=497.58142, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=1, eventTime=64160278, downTime=64160250, deviceId=4, source=0x5002, displayId=0, eventId=503745766 }

05-17 10:25:14.006 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=1473.0, y[0]=510.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64160343, downTime=64160250, deviceId=4, source=0x5002, displayId=0, eventId=529108260 }

05-17 10:25:14.435 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent { action=ACTION_DOWN,

actionButton=0, id[0]=0, x[0]=1245.0, y[0]=1064.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64160772, downTime=64160772, deviceId=4, source=0x5002, displayId=0, eventId=1022428725 }

05-17 10:25:14.451 20319 20319 D ViewTouchDebug: mView : DecorView@9c96d04[SGameActivity]Receive event : MotionEvent {

action=ACTION_CANCEL, actionButton=0, id[0]=0, x[0]=1245.0, y[0]=1038.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE,

metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=64160789, downTime=64160772, deviceId=4, source=0x5002, displayId=0,

eventId=1122923511 }

1.从日志中看，王者荣耀是收到触摸事件的，至于为什么没有进到赛事页面，这个是游戏应用内部的代码逻辑处理，我们无法再做分析

2.我们自己也在设备上下载了王者荣耀，没有复现出该问题

综上，应该是三方应用自己的问题

#4 - 2023-05-23 19:33 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

#5 - 2023-05-23 19:33 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#6 - 2023-05-23 19:33 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
